package com.steerinfo.meterwork.meterworkdatacount.model;

import java.math.BigDecimal;
import java.util.Date;

/*
    报表：静态轨道衡同车号当日异地计量结净净重核查报表
 */
public class StaticRailwayRemoteComparison {
    private String actualNo;
    private String railwayNo;
    private String lcNo;
    private String predictionNo;
    private String matterNo;
    private String matterName;
    private String forwardingUnitName;
    private String receivingUintName;
    private BigDecimal grossWeight;
    private BigDecimal tareWeight;
    private BigDecimal netWeight;
    private BigDecimal theoryAmount;
    private String meterTypeNo;
    private String meterTypeName;
    private String senderRemark;
    private Date grossTime;
    private String baseSpot1Name;
    private String grossMode;
    private String grossManName;
    private Date tareTime;
    private String baseSpot2Name;
    private String tareMode;
    private String tareManName;
    private Date netTime;
    private String netSpot3Name;
    private String netManName;
    private String valueFlag;
    private String uploadFlag;
    private String checkManNo;
    private String checkManName;
    private Date checkTime;
    private String memo;

    public String getActualNo() {
        return actualNo;
    }

    public void setActualNo(String actualNo) {
        this.actualNo = actualNo;
    }

    public String getRailwayNo() {
        return railwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo;
    }

    public String getLcNo() {
        return lcNo;
    }

    public void setLcNo(String lcNo) {
        this.lcNo = lcNo;
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo;
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName;
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName;
    }

    public BigDecimal getGrossWeight() {
        return grossWeight;
    }

    public void setGrossWeight(BigDecimal grossWeight) {
        this.grossWeight = grossWeight;
    }

    public BigDecimal getTareWeight() {
        return tareWeight;
    }

    public void setTareWeight(BigDecimal tareWeight) {
        this.tareWeight = tareWeight;
    }

    public BigDecimal getNetWeight() {
        return netWeight;
    }

    public void setNetWeight(BigDecimal netWeight) {
        this.netWeight = netWeight;
    }

    public BigDecimal getTheoryAmount() {
        return theoryAmount;
    }

    public void setTheoryAmount(BigDecimal theoryAmount) {
        this.theoryAmount = theoryAmount;
    }

    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo;
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName;
    }

    public String getSenderRemark() {
        return senderRemark;
    }

    public void setSenderRemark(String senderRemark) {
        this.senderRemark = senderRemark;
    }

    public Date getGrossTime() {
        return grossTime;
    }

    public void setGrossTime(Date grossTime) {
        this.grossTime = grossTime;
    }

    public String getBaseSpot1Name() {
        return baseSpot1Name;
    }

    public void setBaseSpot1Name(String baseSpot1Name) {
        this.baseSpot1Name = baseSpot1Name;
    }

    public String getGrossMode() {
        return grossMode;
    }

    public void setGrossMode(String grossMode) {
        this.grossMode = grossMode;
    }

    public String getGrossManName() {
        return grossManName;
    }

    public void setGrossManName(String grossManName) {
        this.grossManName = grossManName;
    }

    public Date getTareTime() {
        return tareTime;
    }

    public void setTareTime(Date tareTime) {
        this.tareTime = tareTime;
    }

    public String getBaseSpot2Name() {
        return baseSpot2Name;
    }

    public void setBaseSpot2Name(String baseSpot2Name) {
        this.baseSpot2Name = baseSpot2Name;
    }

    public String getTareMode() {
        return tareMode;
    }

    public void setTareMode(String tareMode) {
        this.tareMode = tareMode;
    }

    public String getTareManName() {
        return tareManName;
    }

    public void setTareManName(String tareManName) {
        this.tareManName = tareManName;
    }

    public Date getNetTime() {
        return netTime;
    }

    public void setNetTime(Date netTime) {
        this.netTime = netTime;
    }

    public String getNetSpot3Name() {
        return netSpot3Name;
    }

    public void setNetSpot3Name(String netSpot3Name) {
        this.netSpot3Name = netSpot3Name;
    }

    public String getNetManName() {
        return netManName;
    }

    public void setNetManName(String netManName) {
        this.netManName = netManName;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag;
    }

    public String getUploadFlag() {
        return uploadFlag;
    }

    public void setUploadFlag(String uploadFlag) {
        this.uploadFlag = uploadFlag;
    }

    public String getCheckManNo() {
        return checkManNo;
    }

    public void setCheckManNo(String checkManNo) {
        this.checkManNo = checkManNo;
    }

    public String getCheckManName() {
        return checkManName;
    }

    public void setCheckManName(String checkManName) {
        this.checkManName = checkManName;
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}
